Subject: Re: linux-next: Tree for Sep 8 (sched/topology.c)

From: Valentin Schneider <[email-masked]>
Date: Tue, 08 Sep 2020 16:47:07 +0100

On 08/09/20 16:03, Vincent Guittot wrote:
> Adding Valentin as this seems related to the patch "sched/topology:
> Move sd_flag_debug out of linux/sched/topology.h"
>

Thanks!

>
> On Tue, 8 Sep 2020 at 16:48, Randy Dunlap <[email-masked]> wrote:
>>
>> On 9/8/20 3:56 AM, Stephen Rothwell wrote:
>> > Hi all,
>> >
>> > Changes since 20200903:
>> >
>>
>> on i386:
>>
>> ld: kernel/sched/topology.o: in function `cpu_attach_domain':
>> topology.c:(.text+0xf03): undefined reference to `sd_flag_debug'
>> ld: topology.c:(.text+0xf4f): undefined reference to `sd_flag_debug'
>> ld: topology.c:(.text+0xfc2): undefined reference to `sd_flag_debug'
>>

So that should be in sched_domain_debug_one() which only gets defined for
CONFIG_SCHED_DEBUG. Now, sd_flag_debug is:
- declared in include/linux/sched/topology.h if CONFIG_SCHED_DEBUG
- defined in kernel/sched/debug.c (only built if CONFIG_SCHED_DEBUG)

I've compile-tested this for arm64 & x86 (default configs + toggling
CONFIG_SCHED_DEBUG). UP can't be the cause because topology.c wouldn't even
be compiled then.

IIUC this is a build with CONFIG_SCHED_DEBUG but for some reason it doesn't
link with kernel/sched/debug.o?

>>
>> Full randconfig file is attached.
>>

I wanted to peek at that config, but can't find that email. The thread view
on lore [1] also shows it as AWOL; any chance you (or someone else) could
re-send it?

[1]: https://lore.kernel.org/lkml/[email-masked]/

>>
>> --
>> ~Randy
>> Reported-by: Randy Dunlap <[email-masked]>